<img src="logo.png" width="300" height="300" alt="Ferret Junior, the mascot of software project 'FJ', a command line tool to interface with the forgejo git forge. A young ferret standing on two legs, smiling, with a shirt saying 'FJ' in reddish brown letters, computers in the ground. Logo, white background, cut out, not realistic." />
<br>

# Ferret Junior - A Forgejo CLI
## "`gh` for Forgejo"

## Configuration

The application can be configured using environment variables or a .env file. Create a copy of `.env.example` as `.env` and modify the values:

```bash
cp .env.example .env
```

Required variables:
- `FJ_HOST`: Your Forgejo instance URL
- `FJ_USERNAME`: Your Forgejo username
- `FJ_API_TOKEN`: Your Forgejo API token
- `FJ_SSH_KEY_PATH`: Path to your SSH key
- `FJ_SSH_USER`: SSH user for your Forgejo instance

Environment variables take precedence over values in the .env file.
